import "./App.css";
import Home from "./pages/Home";
import Garten from "./pages/Garten";
import Suche from "./pages/Suche";
import Navbar from "./components/Navbar";
import {Route, Routes} from "react-router-dom";
import Wunschliste from "./pages/Wunschliste";
import PlantDetails from "./components/PlantDetails";
import NavbarRegistrationAndLogin from "./components/NavbarRegistrationAndLogin.tsx";
import {checkJwtStatus, deleteJwtCookie} from "./jwt/Cookies.ts";
import {useState} from "react";
import Register from "./pages/Register.tsx";
import Login from "./pages/Login.tsx";

function App() {
    const [isLoggedIn, setIsLoggedIn] = useState(false);

    checkJwtStatus(setIsLoggedIn);

    const handleLogout = async () => {
        deleteJwtCookie();
        setIsLoggedIn(false);
    };

    return (
        <div className="App">
            {isLoggedIn ? <Navbar onLogout={handleLogout}/> : <NavbarRegistrationAndLogin/>}
            <Routes>
                <Route path="/" element={<Home/>}/>
                <Route path="/garten" element={<Garten/>}/>
                <Route path="/wunschliste" element={<Wunschliste/>}/>
                <Route path="/suchen" element={<Suche/>}/>
                <Route path="/pflanze/:plantId" element={<PlantDetails/>}/>
                <Route path="/register" element={<Register/>}/>
                <Route path="/login" element={<Login/>}/>
            </Routes>
        </div>
    );
}

export default App;
