import {useState} from "react";
import {DropdownOption, PropsDropDownFilter} from "../utils/commonTypes";
import "../stylesheets/DropDownFilter.css";
import "../pages/Wunschliste.tsx";

function DropDownFilter<T extends DropdownOption>(props: PropsDropDownFilter<T>) {
    const options = props.options;
    const topic = props.topic;
    const hasEmptyOption = props.hasEmptyOption;
    const [selectedOption, setSelectedOption] = useState("");

    const handleOptionChange = (event: any) => {
        setSelectedOption(event.target.value);
        props.filterOnChange(event.target.value);
    };

    return (
        <div className="dropdown-filter">
            <label>{topic}</label>
            <select value={selectedOption} onChange={handleOptionChange}>
                {hasEmptyOption && <option value=""/>}
                {options.map((option, index) => (
                    <option key={index} value={option}>
                        {option}
                    </option>
                ))}
            </select>
        </div>
    );
}

export default DropDownFilter;
