import {NavLink} from "react-router-dom";
import "../stylesheets/Navbar.css";
import "font-awesome/css/font-awesome.min.css";

// @ts-ignore
function Navbar({ onLogout }) {

  const handleLogout = () => {
    if (onLogout) {
      onLogout();
    }
  };


  return (
    <nav>
      <ul className="navBarList">
        <li>
          <NavLink className="title" to="/">
            GrowBros
          </NavLink>
        </li>
        <div className="navLinks">
          <li>
            <NavLink to="/garten">Garten</NavLink>
          </li>

          <li>
            <NavLink to="/wunschliste">Wunschliste</NavLink>
          </li>

          <li>
            <NavLink to="/suchen">
              Suchen
              <i className="fa fa-search"></i>
            </NavLink>
          </li>
          <li>
            <NavLink to="/" onClick={handleLogout}>Abmelden</NavLink>
          </li>
        </div>
      </ul>
    </nav>
  );
}

export default Navbar;
