import "../stylesheets/QuickActions.css"
import useGrowbrosFetcher from "../utils/useGrowbrosFetcher.ts";
import HeartBrokenIcon from "@mui/icons-material/HeartBroken";
import AgricultureIcon from "@mui/icons-material/Agriculture";

export type QuickActionButtonProps = {
    type: QuickActionButtonType,
    plantId: number
}

export type QuickActionButtonType = "ADD_TO_WISHLIST" | "REMOVE_FROM_WISHLIST" | "ADD_TO_GARDEN" | "REMOVE_FROM_GARDEN"

function QuickActionButton({type, plantId}: QuickActionButtonProps) {
    const bc = useGrowbrosFetcher();

    switch (type) {
        case "ADD_TO_WISHLIST":
            return <button onClick={() => bc.addToWishlist(plantId)} className={"fa fa-heart quickActionButton"}
                           title={"Add this plant to your wishlist"}/>
        case "ADD_TO_GARDEN":
            return <button onClick={() => bc.addToGarden(plantId)} className={"fa fa-leaf quickActionButton"}
                           title={"Add this plant to your garden"}/>
        case "REMOVE_FROM_WISHLIST":
            return (<button onClick={() => bc.removeFromWishlist(plantId)} className={"quickActionButton"}
                            title={"Remove this plant from your wishlist"}><HeartBrokenIcon sx={{fontSize: 19}}/>
            </button>)
        case "REMOVE_FROM_GARDEN":
            return (<button onClick={() => bc.removeFromGarden(plantId)} className={"quickActionButton"}
                            title={"Remove this plant from your garden"}><AgricultureIcon/>
            </button>)
    }
}

export default QuickActionButton;
