import {useEffect, useState} from "react";
import "../stylesheets/StatusMessage.css"

type StatusMessageProps = {
    status: "success" | "error",
    visibleFor: number,
    message: string
}

function StatusMessage({message, status, visibleFor}: StatusMessageProps) {
    const [visible, setVisible] = useState(true);

    useEffect(() => {
        const timer = setTimeout(() => {
            setVisible(false);
        }, visibleFor);

        return () => {
            clearTimeout(timer);
        };
    }, [visibleFor]);

    return visible ? (
        <div className={`status-message ${status === "success" ? "success-message" : "error-message"}`}>
            {message}
        </div>
    ) : null;
}

export default StatusMessage;
