import {BackendConnectorImpl} from "../utils/BackendConnectorImpl.ts";

const bc = new BackendConnectorImpl("http://localhost:8080/api/v1");

export function BackendConnectorTestInterface() {
    return <div style={{padding: "1rem"}}>
        <h2>Backend connector test</h2>
        <p>Achtung: das ist / war ausschließlich zum Testen von meinen geschriebenen fetch-methoden. Benutzt das auf
            keinen Fall in euren components... lg lukas</p>
        <h3>Plants controller</h3>
        <ul style={{display: "block", listStyleType: "initial"}}>
            <li onClick={async () => console.log(await bc.getSinglePlant(1101))}>Get single plant</li>
            <li onClick={async () => console.log(await bc.getAllPlants())}>Get all plants</li>
            <li onClick={async () => console.log(await bc.getRandomPlants(5))}>Get random plants</li>
            <li onClick={async () => console.log(await bc.searchPlants({searchTerm: "Salat"}))}>Search for "salat"</li>
        </ul>
        <h3>Garden controller</h3>
        <ul style={{display: "block", listStyleType: "initial"}}>
            <li onClick={async () => console.log(await bc.getGardenEntries())}>Get garden</li>
            <li onClick={async () => console.log(await bc.addToGarden(1000))}>Add plant to garden</li>
            <li onClick={async () => console.log(await bc.getGardenSize())}>garden size</li>
            <li onClick={async () => console.log(await bc.removeEntryFromGarden(3))}>remove entry</li>
            <li onClick={async () => console.log(await bc.clearGarden())}>clear garden</li>
        </ul>
        <h3>Wishlist controller</h3>
        <ul style={{display: "block", listStyleType: "initial"}}>
            <li onClick={async () => console.log(await bc.addToWishlist(1000))}>add to wishlist</li>
            <li onClick={async () => console.log(await bc.clearWishlist())}>clear wishlist</li>
            <li onClick={async () => console.log(await bc.removeFromWishlist(1))}>remove from wishlist</li>
            <li onClick={async () => console.log(await bc.getWishlistEntries())}>get wishlist entries</li>
            <li onClick={async () => console.log(await bc.getWishlistSize())}>get wishlist size</li>
        </ul>
    </div>
}
