import {IBackendConnector} from "./IBackendConnector.ts";
import {useMemo} from "react";
import {BackendConnectorImpl} from "./BackendConnectorImpl.ts";

const createFetcherInstance = (): IBackendConnector => {
    const backendUrl = import.meta.env.VITE_GROWBROS_BACKEND_URL;

    return new BackendConnectorImpl(backendUrl);
};

const useGrowbrosFetcher = (): IBackendConnector => {
    const fetcherInstance = useMemo(() => createFetcherInstance(), []);

    return fetcherInstance;
};

export default useGrowbrosFetcher;
