package hdm.mi.growbros.config;

import hdm.mi.growbros.models.user.User;
import org.springframework.boot.test.context.TestConfiguration;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Primary;
import org.springframework.security.core.userdetails.UserDetails;
import org.springframework.security.core.userdetails.UserDetailsService;
import org.springframework.security.core.userdetails.UsernameNotFoundException;
import org.springframework.security.provisioning.InMemoryUserDetailsManager;
import org.springframework.security.provisioning.UserDetailsManager;

import java.util.List;

@TestConfiguration
public class SpringSecurityTestConfig {
    @Bean
    //@Primary
    public UserDetailsService testUserDetailsService() {
        User user1 = UserTestData.getUser1();
        User user2 = UserTestData.getUser2();
        User admin = UserTestData.getAdmin();

        return new UserDetailsManager() {
            private final InMemoryUserDetailsManager inMemoryUserDetailsManager = new InMemoryUserDetailsManager(List.of(user1, user2, admin));

            @Override
            public void createUser(UserDetails user) {
                this.inMemoryUserDetailsManager.createUser(user);
            }

            @Override
            public void updateUser(UserDetails user) {
                this.inMemoryUserDetailsManager.updateUser(user);
            }

            @Override
            public void deleteUser(String username) {
                this.inMemoryUserDetailsManager.deleteUser(username);
            }

            @Override
            public void changePassword(String s, String s1) {
                this.inMemoryUserDetailsManager.changePassword(s, s1);
            }

            @Override
            public boolean userExists(String s) {
                return this.inMemoryUserDetailsManager.userExists(s);
            }

            @Override
            public UserDetails loadUserByUsername(String s) throws UsernameNotFoundException {
                if (s.equals("user1@gmail.com")) return user1;
                if (s.equals("user2@gmail.com")) return user2;
                if (s.equals("admin@gmail.com")) return admin;
                throw new UsernameNotFoundException("Username " + s + " not found");
            }
        };
    }
}
