package hdm.mi.growbros.service;

import hdm.mi.growbros.models.dto.PlantUpdateRequest;
import hdm.mi.growbros.models.plant.Plant;
import hdm.mi.growbros.repositories.PlantRepository;
import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.security.authentication.UsernamePasswordAuthenticationToken;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.authority.SimpleGrantedAuthority;
import org.springframework.security.core.context.SecurityContextHolder;
import org.springframework.test.context.ActiveProfiles;

import java.util.List;

import static org.junit.jupiter.api.Assertions.assertEquals;

@SpringBootTest
@ActiveProfiles("test")
class PlantsServiceIntegrationTest {
    @Autowired
    private PlantsService plantsService;

    @Autowired
    private PlantRepository plantRepository;

    private static Plant plant;

    @BeforeAll
    static void setup(@Autowired PlantRepository plantRepository) {
        plant = plantRepository.save(Plant.builder().name("My plant!").build());
    }

    @Test
    void canUpdatePlant() {
        Authentication authentication = new UsernamePasswordAuthenticationToken("admin", "password", List.of(new SimpleGrantedAuthority("ADMIN")));
        SecurityContextHolder.getContext().setAuthentication(authentication);
        System.out.println("set mock security context");
        String newName = "new name!";
        plantsService.updatePlant(plant.getId(), PlantUpdateRequest.builder().name(newName).build());
        assertEquals(newName, plantRepository.findById(plant.getId()).get().getName());
    }
}
